## node-zmq 2.15.1%2bdfsg

=== Makefile ===

build/Release/binding.node: binding.cc binding.gyp
	npm install

test:
	npm test

clean:
	rm -fr build node_modules

distclean:
	node-gyp clean

perf:
	node perf/local_lat.js tcp://127.0.0.1:5555 1 100000& node perf/remote_lat.js tcp://127.0.0.1:5555 1 100000
	node perf/local_thr.js tcp://127.0.0.1:5556 1 100000& node perf/remote_thr.js tcp://127.0.0.1:5556 1 100000

.PHONY: test clean distclean perf

## node-zmq 2.15.1+dfsg

=== debian/changelog ===
node-zmq (2.15.1+dfsg-2) unstable; urgency=medium

  * Priority optional -> extra (since nodejs is priority extra)
  * Autopkgtest requires allow-stderr

 -- Gordon Ball <gordon@chronitis.net>  Thu, 19 May 2016 13:08:07 +0200

node-zmq (2.15.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #823251)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 09 May 2016 13:24:48 +0200

=== debian/control ===
Source: node-zmq
Section: web
Priority: extra
Maintainer: Gordon Ball <gordon@chronitis.net>
Build-Depends: debhelper (>= 9),
               nodejs,
               nodejs-dev (>= 4.1.2~),
               node-bindings,
               node-nan (>= 2.3),
               node-gyp,
               libzmq3-dev
Standards-Version: 3.9.8
Homepage: https://github.com/JustinTulloss/zeromq.node
Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-zmq.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/node-zmq.git

Package: node-zmq
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         nodejs,
         node-bindings,
         node-nan (>= 2.3)
Description: ZeroMQ bindings for Node.js
 Node.js module providing bindings to the ZeroMQ messaging and
 communications library. Common ZeroMQ patterns such as push-pull
 and publish/subscribe are supported.

=== debian/rules ===
#!/usr/bin/make -f

libfile := debian/node-zmq/usr/lib/nodejs/zmq/build/zmq.node

%:
	dh $@ --with nodejs

override_dh_auto_test:

override_dh_auto_configure:
	node-gyp configure

override_dh_auto_build:
	node-gyp build

override_dh_install:
	dh_install
	chmod 644 $(libfile)

override_dh_shlibdeps:
	dpkg-shlibdeps -Tdebian/node-zmq.substvars $(libfile)

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

override_dh_strip:
	strip --remove-section=.comment --remove-section=.note --strip-unneeded $(libfile)

=== debian/tests/control ===
Tests: require
Depends: @

Tests: mocha
Depends: @, mocha, node-should, node-semver
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-zmq-$1.tar.gz/,dversionmangle=s/\+dfsg.*$//,repacksuffix=+dfsg \
https://github.com/JustinTulloss/zeromq.node/tags .*/archive/v?([\d\.]+).tar.gz
